Skip to content
Guides
Payments & FinanceBilling
billing:read

Get the current billing subscription

GET/v1/billing/current/subscription

Get the current billing subscription. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/billing/current/subscription" \  -H "Authorization: Bearer <token>"
{  "currencyCode": "PEN",  "currentPlan": "none",  "subscription": {    "id": "7204558912004325301",    "plan": "none",    "status": "incomplete",    "amount": 1,    "currencyCode": "PEN",    "billingInterval": "example",    "startedOn": "2026-08-01T15:30:00Z",    "currentPeriodStartsOn": "2026-08-01T15:30:00Z",    "currentPeriodEndsOn": "2026-08-01T15:30:00Z",    "cancelAtPeriodEnd": false,    "cancelledOn": "2026-08-01T15:30:00Z",    "paymentGraceEndsOn": "2026-08-01T15:30:00Z",    "failedPaymentCount": 1,    "lastPaymentError": "example"  },  "pendingPlanPurchase": {    "id": "7204558912004325301",    "currentPlan": "none",    "requestedPlan": "none",    "currentPrice": 1,    "requestedPrice": 1,    "amountDue": 1,    "creditAmount": 1,    "currentBillingInterval": "example",    "billingInterval": "example",    "currencyCode": "PEN",    "status": "pending",    "requiresManualApproval": false,    "paymentCheckoutRequired": false,    "createdOn": "2026-08-01T15:30:00Z"  },  "paymentMethod": {    "reference": "example",    "brand": "example",    "lastFour": "example",    "expirationMonth": 1,    "expirationYear": 1,    "canReuse": false  },  "automaticCheckoutAvailable": false,  "automaticCheckoutMessage": "example"}